cdac.medinfo.ccd.datatype

## Class ENXP

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.BIN
    - - cdac.medinfo.ccd.datatype.ED
      - - cdac.medinfo.ccd.datatype.ST
        - - cdac.medinfo.ccd.datatype.ENXP

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    EnDelimiter, EnFamily, EnGiven, EnPrefix, EnSuffix

      public class ENXP
      extends ST

  A character string token representing a part of a name. May have a type code signifying the role of the part in the whole entity name, and a qualifier code for more detail about the name part type. Typical name parts for person names are given names, and family names, titles, etc.

  Java class for ENXP complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ENXP">
         <complexContent>
           <extension base="{urn:hl7-org:v3}ST">
             <attribute name="partType" type="{urn:hl7-org:v3}EntityNamePartType" />
             <attribute name="qualifier" type="{urn:hl7-org:v3}set_EntityNamePartQualifier" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ENXP()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPartType()` Gets the value of the partType property.
    `java.util.List<java.lang.String>` | `getQualifier()` Gets the value of the qualifier property.
    `void` | `setPartType(java.lang.String value)` Sets the value of the partType property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ED

      `getCompression, getIntegrityCheck, getIntegrityCheckAlgorithm, getLanguage, getMediaType, getReference, getThumbnail, setCompression, setIntegrityCheck, setIntegrityCheckAlgorithm, setLanguage, setMediaType, setReference, setThumbnail`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.BIN

      `getRepresentation, setRepresentation`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ENXP

          public ENXP()

  - ### Method Detail

    - #### getPartType

          public java.lang.String getPartType()

      Gets the value of the partType property.
      Returns:
        possible object is `String`

    - #### setPartType

          public void setPartType(java.lang.String value)

      Sets the value of the partType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getQualifier

          public java.util.List<java.lang.String> getQualifier()

      Gets the value of the qualifier property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the qualifier property.

      For example, to add a new item, do as follows:

              getQualifier().add(newItem);

      Objects of the following type(s) are allowed in the list `String`